body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  background-color: #f4f4f4;
}

header {
  background-color: #333;
  color: #fff;
  padding: 1em 0;
  text-align: center;
}

header nav a {
  color: #fff;
  margin: 0 1em;
  text-decoration: none;
}

#main-content {
  padding: 1em;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 20px;
}

.product {
  background-color: #fff;
  border: 1px solid #ddd;
  padding: 1em;
  text-align: center;
}

.product img {
  max-width: 100px;
  height: auto;
}

.product h2 {
  font-size: 1.2em;
}

.product p {
  font-size: 1em;
  color: #333;
}

button {
  background-color: #28a745;
  border: none;
  color: #fff;
  padding: 0.5em 1em;
  cursor: pointer;
}

button:hover {
  background-color: #218838;
}

.product-detail-wrapper {
  display: flex;
  flex-direction: row;
  gap: 20px;
}

.product-detail {
  display: flex;
  flex-direction: column;
  margin-left: 90px;
}

.product-detail img {
  height: 500px;
  width: 100%;
}

.product-button {
  display: flex;
  gap: 20px;
  margin-top: 20px;
}

.product-button button {
  background-color: #28a745;
  padding: 16px;
  color: #fff;
  border: none;
  cursor: pointer;
}

.product-button button:hover {
  background-color: #218838;
}

.product-features {
  margin-right: 50px;
  display: flex;
  flex-direction: column;
  margin-top: 20px;
}

.cart-item {
  display: flex;
  flex-direction: row;
  align-items: center;
  border: 1px solid #ddd;
  padding: 10px;
  background-color: #fff;
  gap: 20px; /* Increased gap for better spacing */
}

.cart-item img {
  max-width: 100px;
  height: auto;
}

.cart-item-details {
  display: flex;
  flex-direction: column;
  gap: 10px; /* Add some spacing between details */
}
